org.wso2.carbon.cloud.gateway.agent.stub

## Class CGAgentAdminServiceStub

- java.lang.Object
- - org.apache.axis2.client.Stub
  - - org.wso2.carbon.cloud.gateway.agent.stub.CGAgentAdminServiceStub

- All Implemented Interfaces:
    CGAgentAdminService

      public class CGAgentAdminServiceStub
      extends org.apache.axis2.client.Stub
      implements CGAgentAdminService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.axis2.description.AxisOperation[]` | `_operations`

    - ### Fields inherited from class org.apache.axis2.client.Stub

      `_service, _serviceClient, modules`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CGAgentAdminServiceStub()` Default Constructor
    `CGAgentAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext)` Default Constructor
    `CGAgentAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint)` Constructor that takes in a configContext
    `CGAgentAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener)` Constructor that takes in a configContext and useseperate listner
    `CGAgentAdminServiceStub(String targetEndpoint)` Constructor taking the target endpoint

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCGServer(CGServerBean csgServer80)` Auto generated method signature
    `void` | `doServiceUpdate(String serviceName77, int eventType78)` Auto generated method signature
    `CGServerBean` | `getCGServer(String csgServerName90)` Auto generated method signature
    `CGServerBean[]` | `getCGServerList()` Auto generated method signature
    `CGProxyToolsURLs` | `getPublishedProxyToolsURLs(String serviceName82)` Auto generated method signature
    `String` | `getPublishedServer(String serviceName107)` Auto generated method signature
    `String` | `getServiceStatus(String serviceName103)` Auto generated method signature
    `boolean` | `isHasPublishedServices(String csgServerName86)` Auto generated method signature
    `void` | `publishService(String serviceName70, String serverName71, boolean isAutomatic72)` Auto generated method signature
    `void` | `removeCGServer(String csgServerName111)` Auto generated method signature
    `void` | `rePublishService(String serviceName66, String serverName67, boolean isAutomatic68)` Auto generated method signature
    `void` | `setServiceStatus(String serviceName94, String status95)` Auto generated method signature
    `void` | `startgetCGServer(String csgServerName90, CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetCGServerList(CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetPublishedProxyToolsURLs(String serviceName82, CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetPublishedServer(String serviceName107, CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetServiceStatus(String serviceName103, CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startisHasPublishedServices(String csgServerName86, CGAgentAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `unPublishService(String serviceName97, String serverName98, boolean isCheckBackend99)` Auto generated method signature
    `void` | `updateCGServer(CGServerBean csgServer101)` Auto generated method signature

    - ### Methods inherited from class org.apache.axis2.client.Stub

      `_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _operations

          protected org.apache.axis2.description.AxisOperation[] _operations

  - ### Constructor Detail

    - #### CGAgentAdminServiceStub

          public CGAgentAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                                         String targetEndpoint)
                                  throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext
      Throws:
        `org.apache.axis2.AxisFault`

    - #### CGAgentAdminServiceStub

          public CGAgentAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                                         String targetEndpoint,
                                         boolean useSeparateListener)
                                  throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext and useseperate listner
      Throws:
        `org.apache.axis2.AxisFault`

    - #### CGAgentAdminServiceStub

          public CGAgentAdminServiceStub(org.apache.axis2.context.ConfigurationContext configurationContext)
                                  throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### CGAgentAdminServiceStub

          public CGAgentAdminServiceStub()
                                  throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### CGAgentAdminServiceStub

          public CGAgentAdminServiceStub(String targetEndpoint)
                                  throws org.apache.axis2.AxisFault

      Constructor taking the target endpoint
      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### rePublishService

          public void rePublishService(String serviceName66,
                                       String serverName67,
                                       boolean isAutomatic68)
                                throws RemoteException,
                                       CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `rePublishService` in interface `CGAgentAdminService`
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### publishService

          public void publishService(String serviceName70,
                                     String serverName71,
                                     boolean isAutomatic72)
                              throws RemoteException,
                                     CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `publishService` in interface `CGAgentAdminService`
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### getCGServerList

          public CGServerBean[] getCGServerList()
                                         throws RemoteException,
                                                CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `getCGServerList` in interface `CGAgentAdminService`
      Parameters:
        `getCGServerList73` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`
      See Also:
        `CGAgentAdminService.getCGServerList()`

    - #### startgetCGServerList

          public void startgetCGServerList(CGAgentAdminServiceCallbackHandler callback)
                                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetCGServerList` in interface `CGAgentAdminService`
      Parameters:
        `getCGServerList73` -
      Throws:
        `RemoteException`
      See Also:
        `CGAgentAdminService.startgetCGServerList(org.wso2.carbon.cloud.gateway.agent.stub.CGAgentAdminServiceCallbackHandler)`

    - #### doServiceUpdate

          public void doServiceUpdate(String serviceName77,
                                      int eventType78)
                               throws RemoteException,
                                      CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `doServiceUpdate` in interface `CGAgentAdminService`
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### addCGServer

          public void addCGServer(CGServerBean csgServer80)
                           throws RemoteException,
                                  CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `addCGServer` in interface `CGAgentAdminService`
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### getPublishedProxyToolsURLs

          public CGProxyToolsURLs getPublishedProxyToolsURLs(String serviceName82)
                                                      throws RemoteException,
                                                             CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `getPublishedProxyToolsURLs` in interface `CGAgentAdminService`
      Parameters:
        `getPublishedProxyToolsURLs81` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`
      See Also:
        `CGAgentAdminService.getPublishedProxyToolsURLs(java.lang.String)`

    - #### startgetPublishedProxyToolsURLs

          public void startgetPublishedProxyToolsURLs(String serviceName82,
                                                      CGAgentAdminServiceCallbackHandler callback)
                                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetPublishedProxyToolsURLs` in interface `CGAgentAdminService`
      Parameters:
        `getPublishedProxyToolsURLs81` -
      Throws:
        `RemoteException`
      See Also:
        `CGAgentAdminService.startgetPublishedProxyToolsURLs(java.lang.String, org.wso2.carbon.cloud.gateway.agent.stub.CGAgentAdminServiceCallbackHandler)`

    - #### isHasPublishedServices

          public boolean isHasPublishedServices(String csgServerName86)
                                         throws RemoteException,
                                                CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `isHasPublishedServices` in interface `CGAgentAdminService`
      Parameters:
        `isHasPublishedServices85` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`
      See Also:
        `CGAgentAdminService.isHasPublishedServices(java.lang.String)`

    - #### startisHasPublishedServices

          public void startisHasPublishedServices(String csgServerName86,
                                                  CGAgentAdminServiceCallbackHandler callback)
                                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startisHasPublishedServices` in interface `CGAgentAdminService`
      Parameters:
        `isHasPublishedServices85` -
      Throws:
        `RemoteException`
      See Also:
        `CGAgentAdminService.startisHasPublishedServices(java.lang.String, org.wso2.carbon.cloud.gateway.agent.stub.CGAgentAdminServiceCallbackHandler)`

    - #### getCGServer

          public CGServerBean getCGServer(String csgServerName90)
                                   throws RemoteException,
                                          CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `getCGServer` in interface `CGAgentAdminService`
      Parameters:
        `getCGServer89` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`
      See Also:
        `CGAgentAdminService.getCGServer(java.lang.String)`

    - #### startgetCGServer

          public void startgetCGServer(String csgServerName90,
                                       CGAgentAdminServiceCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetCGServer` in interface `CGAgentAdminService`
      Parameters:
        `getCGServer89` -
      Throws:
        `RemoteException`
      See Also:
        `CGAgentAdminService.startgetCGServer(java.lang.String, org.wso2.carbon.cloud.gateway.agent.stub.CGAgentAdminServiceCallbackHandler)`

    - #### setServiceStatus

          public void setServiceStatus(String serviceName94,
                                       String status95)
                                throws RemoteException,
                                       CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `setServiceStatus` in interface `CGAgentAdminService`
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### unPublishService

          public void unPublishService(String serviceName97,
                                       String serverName98,
                                       boolean isCheckBackend99)
                                throws RemoteException,
                                       CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `unPublishService` in interface `CGAgentAdminService`
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### updateCGServer

          public void updateCGServer(CGServerBean csgServer101)
                              throws RemoteException,
                                     CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `updateCGServer` in interface `CGAgentAdminService`
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

    - #### getServiceStatus

          public String getServiceStatus(String serviceName103)
                                  throws RemoteException,
                                         CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `getServiceStatus` in interface `CGAgentAdminService`
      Parameters:
        `getServiceStatus102` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`
      See Also:
        `CGAgentAdminService.getServiceStatus(java.lang.String)`

    - #### startgetServiceStatus

          public void startgetServiceStatus(String serviceName103,
                                            CGAgentAdminServiceCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetServiceStatus` in interface `CGAgentAdminService`
      Parameters:
        `getServiceStatus102` -
      Throws:
        `RemoteException`
      See Also:
        `CGAgentAdminService.startgetServiceStatus(java.lang.String, org.wso2.carbon.cloud.gateway.agent.stub.CGAgentAdminServiceCallbackHandler)`

    - #### getPublishedServer

          public String getPublishedServer(String serviceName107)
                                    throws RemoteException,
                                           CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `getPublishedServer` in interface `CGAgentAdminService`
      Parameters:
        `getPublishedServer106` -
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`
      See Also:
        `CGAgentAdminService.getPublishedServer(java.lang.String)`

    - #### startgetPublishedServer

          public void startgetPublishedServer(String serviceName107,
                                              CGAgentAdminServiceCallbackHandler callback)
                                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetPublishedServer` in interface `CGAgentAdminService`
      Parameters:
        `getPublishedServer106` -
      Throws:
        `RemoteException`
      See Also:
        `CGAgentAdminService.startgetPublishedServer(java.lang.String, org.wso2.carbon.cloud.gateway.agent.stub.CGAgentAdminServiceCallbackHandler)`

    - #### removeCGServer

          public void removeCGServer(String csgServerName111)
                              throws RemoteException,
                                     CGAgentAdminServiceCGException

      Auto generated method signature
      Specified by:
        `removeCGServer` in interface `CGAgentAdminService`
      Throws:
        `CGAgentAdminServiceCGException` - :
        `RemoteException`

Copyright © 2019 WSO2. All rights reserved.